Index: apps/app_queue.c
===================================================================
--- apps/app_queue.c	(revision 8008)
+++ apps/app_queue.c	(working copy)
@@ -1585,6 +1585,14 @@
 static void record_abandoned(struct queue_ent *qe)
 {
 	ast_mutex_lock(&qe->parent->lock);
+	manager_event(EVENT_FLAG_AGENT, "QueueCallerAbandon",
+	              "Queue: %s\r\n"
+	              "Uniqueid: %s\r\n"
+	              "Position: %d\r\n"
+	              "OriginalPosition: %d\r\n"
+	              "HoldTime: %d\r\n",
+	              qe->parent->name, qe->chan->uniqueid, qe->pos, qe->opos, (int)(time(NULL) - qe->start));
+
 	qe->parent->callsabandoned++;
 	ast_mutex_unlock(&qe->parent->lock);
 }
@@ -2130,7 +2138,8 @@
 	if (!peer) {
 		if (to) {
 			/* Musta gotten hung up */
-			record_abandoned(qe);
+			/* Don't record this here, we record it somewhere else too */
+			/* record_abandoned(qe); */
 			res = -1;
 		} else {
 			res = digit;
